Bug 103540 - under kernel 2.6.0-test4, ps -f reports STIME incorrectly
under kernel 2.6.0-test4, ps -f reports STIME incorrectly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-01 21:54 EDT by Scott Hoffman
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 08:39:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Hoffman 2003-09-01 21:54:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030702

Description of problem:
running ps -ef under kernel 2.6.0-test4.1.32smp, shows STIME that can be several
hours or days older than accurate time. 

Compiling procps 3.1.11 from source gives correct output.

Version-Release number of selected component (if applicable):
procps-2.0.11-6

How reproducible:
Always

Steps to Reproduce:
1. enter ps -f
2. 
3.
    

Actual Results:  [scott@x1 scott]$ ps -f
UID        PID  PPID  C STIME TTY          TIME CMD
scott    18971 18969  0 Aug31 pts/0    00:00:00 bash
scott    19056 18971  0 Aug31 pts/0    00:00:00 ps -f
[scott@x1 scott]$ date
Mon Sep  1 20:39:50 CDT 2003

Expected Results:  [scott@x1 scott]$ ps -f
UID        PID  PPID  C STIME TTY          TIME CMD
scott    18971 18969  0 20:32 pts/0    00:00:00 bash
scott    19513 18971  0 20:48 pts/0    00:00:00 ps -f
[scott@x1 scott]$ date
Mon Sep  1 20:48:52 CDT 2003


Additional info:
Comment 1 Alexander Larsson 2003-09-25 05:00:13 EDT
This is fixed upstream, we need to go to 2.0.16.
Comment 2 Alexander Larsson 2004-02-05 05:23:53 EST
Mass reassign to new owner
Comment 3 Daniel Walsh 2004-02-11 08:39:13 EST
Fixed in current release 3.1.15

Note You need to log in before you can comment on or make changes to this bug.